#ifndef HTML_H_
#define HTML_H_
#include <map>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <iostream>
#include <cctype>
#include <ctime>

using namespace std;
const int BUILD = 305;
const int ERR_UNDEFINITE_USER = 1;
const int ERR_USER_NOT_FOUND = 2;
const int ERR_WRONG_PASSWORD = 3;
const int NOW_ON_FORUM_DELAY = 300;//in second
const string ERROR_DESCRIPTION[] = {
"OK",
"User is empty",//User is empty
"User not found",
"Wrong password"
};
typedef map<string,string> tVars;
char intToChar(int i);
tVars vars;
int html_content_type();
int html_start(string title);
int html_end();
int get_environment(tVars & vars);
char * get_env(char * var);
int get_get_vars(tVars & vars);
int get_post_vars(tVars & vars);
int get_vars_from_file(tVars & vars,string filename);
int charToInt(char c);
int login_small(string add);
string intToStr(int i);
#endif
